For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet lifecycle trends
      • GETGet instance information
      • POSTSend Unleash feedback
      • GETGet UI configuration
      • POSTSets allowed CORS origins
      • PUTUpdate Unleash feedback
      • POSTUpdate splash settings
      • POSTAccepts errors from the UI client

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAdmin UI

Get lifecycle trends

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/insights/lifecycle
GET
/api/admin/insights/lifecycle
$curl https://app.unleash-instance.example.com/api/admin/insights/lifecycle \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "lifecycleTrends": {
3 "develop": {
4 "totalFlags": 42,
5 "medianDaysInCurrentStage": 30,
6 "medianDaysHistorically": 27,
7 "categories": {
8 "experimental": {
9 "flagsOlderThanWeek": 18,
10 "newFlagsThisWeek": 10
11 },
12 "release": {
13 "flagsOlderThanWeek": 14,
14 "newFlagsThisWeek": 2
15 },
16 "permanent": {
17 "flagsOlderThanWeek": 10,
18 "newFlagsThisWeek": 1
19 }
20 }
21 },
22 "production": {
23 "totalFlags": 25,
24 "medianDaysInCurrentStage": 20,
25 "medianDaysHistorically": 19,
26 "categories": {
27 "experimental": {
28 "flagsOlderThanWeek": 5,
29 "newFlagsThisWeek": 3
30 },
31 "release": {
32 "flagsOlderThanWeek": 7,
33 "newFlagsThisWeek": 4
34 },
35 "permanent": {
36 "flagsOlderThanWeek": 8,
37 "newFlagsThisWeek": 0
38 }
39 }
40 },
41 "cleanup": {
42 "totalFlags": 8,
43 "medianDaysInCurrentStage": 22,
44 "medianDaysHistorically": 20,
45 "categories": {
46 "experimental": {
47 "flagsOlderThanWeek": 1,
48 "newFlagsThisWeek": 2
49 },
50 "release": {
51 "flagsOlderThanWeek": 2,
52 "newFlagsThisWeek": 1
53 },
54 "permanent": {
55 "flagsOlderThanWeek": 3,
56 "newFlagsThisWeek": 0
57 }
58 }
59 }
60 }
61}

Enterprise feature

Gets lifecycle trends information showing feature flag progression across development, production, and cleanup stages.

Was this page helpful?
Previous

Get instance information

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

projectsstringOptional

Comma-separated list of project IDs to filter lifecycle trends

Response

lifecycleTrendsSchema
lifecycleTrendsobject
Aggregated view of feature flag lifecycle across environments